//INTERACTIVE TOY
//Creature by Codi Hotte

int grassx=0;
int grassy=250;
int spacing=0;
int grasslen=20;
int grassEnd=400;

float gravity=0.5;
float creatureX=200;
float creatureY=230;
float creaturespeed=1;
float creaturecolour=0;

float R = random(200);
float G = random(200);
float B = random(200);

void setup(){
  size(400,400);
  smooth();
  frameRate(60);
}

void draw(){
  background(#EDA8C2);
  noStroke();
  fill(#A8EDE4);
  rect(0,250,400,400);
  drawcreature();
  drawclouds();
  draweyes();

}
//DRAW CREATURE
  void drawcreature(){
  noStroke();
  fill(0);
  ellipse(creatureX, creatureY, 30,30);
  fill(255);
  ellipse(creatureX, creatureY-13, 40,45);
  triangle(creatureX+30, creatureY,creatureX,creatureY-40,creatureX-30,creatureY);
  triangle(creatureX+25, creatureY-30, creatureX, creatureY,creatureX-25,creatureY-30);
  fill(0);
  rectMode(CORNERS);
  rect(creatureX+8,creatureY+10,creatureX+5,creatureY+35);
  rect(creatureX-8, creatureY+10,creatureX-5,creatureY+35);
  }
  
  //CREATURE EYES
  void draweyes(){
  fill(R,B,G);
  ellipse(creatureX-10,creatureY-10,5,10);
  ellipse(creatureX+10,creatureY-10,5,10);
  }
  
  //DRAW CLOUDS
  void drawclouds(){
    noStroke();
    fill(255);
    ellipse(100,100,120,50);
    ellipse(100,80,80,40);
    ellipse(120,125,40,20);
    
  }
   
    

  //MOVEMENT LEFT AND RIGHT AND UP WITH ARROW KEYS
 void keyPressed(){
  if(keyPressed){
    if(keyCode==LEFT){
      creatureX-=20;
    }
    if(keyCode==RIGHT){
      creatureX+=20;
    }
    if(keyCode==UP){
      creatureY-=50+gravity;
    }
  }
  
 }
void keyReleased(){
  if(keyCode==UP){
    creatureY+=50;
  }
}


